首页 新闻 搜索 专区 学院

vs2013 下使用framework4.0 +ef5 连接oracle问题

0
悬赏园豆:30 [待解决问题]

vs2013 下使用framework4.5 +ef5 连接oracle,没有问题。

vs2013 下使用framework4.0 +ef5 连接oracle问题,出现错误,报告异常供“System.ArgumentException”类型的未经处理的异常在 System.Data.Entity.dll 中发生。

左立军的主页 左立军 | 初学一级 | 园豆:62
提问于:2014-06-11 10:29
< >
分享
所有回答(4)
-1

能异常的详细内容贴出来吗?

Launcher | 园豆:45045 (高人七级) | 2014-06-11 10:39
0

详细的错误信息贴出来

Sake.Z.L.B | 园豆:262 (菜鸟二级) | 2014-06-12 23:52
0

连接SQLite 也是同样的问题,.Net4.5 正常,.Net4.0 出楼主的异常。怀疑ef5 对 .Net4.0 支持有问题。

Samnew | 园豆:202 (菜鸟二级) | 2014-09-23 11:37
0

百度百科中http://baike.baidu.com/link?url=ljMCNKAzKe-LV7HReLMKNb7UCRxLvs7Vlq8n8f9yNdEv6aE8tVI_xn3zO960cJ5VLuacms1eZ22l484DlyyCpK

     
版本
支持.NET
发布情况
备注
Entity Framework 3.5
2.0+
包含于.NET 3.5中
支持EDMX生成,通过扩展可支持POCO类的生成
Entity Framework 4.0
4.0+
包含于.NET 4.0中
  
Entity Framework 4.X
4.0+
可通过NuGet获取
支持Database First、Model First、Code First三种生
成模式
Entity Framework 4.5
4.5+
集成于.NET 4.5中
  
Entity Framework 5.X
4.5+
可通过NuGet获取
支持枚举字段,性能有较大提升,支持.NET 4.0的版本
为Entity Framework 4.4
wang066 | 园豆:202 (菜鸟二级) | 2015-01-29 18:35
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册